restinio::transforms::zlib::x_controlled_output_body_appender_base_t< X_Controlled_Output, Descendant > Class Template Reference

Base class for body appenders with restinio or user controlled output. More...

`#include <zlib.hpp>`

Inheritance diagram for restinio::transforms::zlib::x_controlled_output_body_appender_base_t< X_Controlled_Output, Descendant >:

## Public Types

using | base_type_t = body_appender_base_t< X_Controlled_Output, Descendant >
Public Types inherited from restinio::transforms::zlib::body_appender_base_t< X_Controlled_Output, Descendant >
using | resp_t = response_builder_t< X_Controlled_Output >

## Public Member Functions

Descendant & | append (string_view_t input)
| Append a piece of data to response. More...
void | complete ()
| Complete zlib transformation operation. More...
Public Member Functions inherited from restinio::transforms::zlib::body_appender_base_t< X_Controlled_Output, Descendant >
| body_appender_base_t (const params_t &params, resp_t &resp)
| body_appender_base_t (const body_appender_base_t &)=delete
| body_appender_base_t (body_appender_base_t &&ba) noexcept
body_appender_base_t & | operator= (const body_appender_base_t &)=delete
body_appender_base_t & | operator= (body_appender_base_t &&)=delete
virtual | ~body_appender_base_t ()

## Additional Inherited Members

Protected Attributes inherited from restinio::transforms::zlib::body_appender_base_t< X_Controlled_Output, Descendant >
std::unique_ptr< zlib_t > | m_ztransformator
resp_t & | m_resp

## Detailed Description

template<typename X_Controlled_Output, typename Descendant>
class restinio::transforms::zlib::x_controlled_output_body_appender_base_t< X_Controlled_Output, Descendant >

Base class for body appenders with restinio or user controlled output.

Definition at line 1004 of file zlib.hpp.

## Member Typedef Documentation

## base_type_t

template<typename X_Controlled_Output , typename Descendant >

using restinio::transforms::zlib::x_controlled_output_body_appender_base_t< X_Controlled_Output, Descendant >::base_type_t = body_appender_base_t< X_Controlled_Output, Descendant >

Definition at line 1008 of file zlib.hpp.

## Member Function Documentation

## append()

template<typename X_Controlled_Output , typename Descendant >

Descendant & restinio::transforms::zlib::x_controlled_output_body_appender_base_t< X_Controlled_Output, Descendant >::append | ( | string_view_t | input | ) |

inline

Append a piece of data to response.

Definition at line 1014 of file zlib.hpp.

## complete()

template<typename X_Controlled_Output , typename Descendant >

void restinio::transforms::zlib::x_controlled_output_body_appender_base_t< X_Controlled_Output, Descendant >::complete | ( |  | ) |

inline

Complete zlib transformation operation.

Definition at line 1023 of file zlib.hpp.

The documentation for this class was generated from the following file:

- restinio/transforms/zlib.hpp